Projects

Reset this project’s format (owner only)

DELETE
/v1/projects/{projectSlug}/formats/{kind}

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

projectSlug*string

Project slug, e.g. recipe-box.

kind*string

Either spec or epic.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/projects/string/formats/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "removed": true,  "format": {    "kind": "spec",    "tier": "built-in",    "effectiveRevision": "string",    "updatedAt": "string",    "overrideRevision": "string",    "overrideReadable": true,    "documentUrl": "string",    "scopeDocumentUrl": "string",    "markdown": "string",    "path": "string",    "problem": {      "path": "string",      "tier": "string"    },    "bytes": 0,    "maxBytes": 0  }}